---  # -*- mode: yaml -*-
# see https://prometheus.io/docs/alerting/latest/configuration/

route:
  group_by: ['alertname']
  group_wait: 30s
  group_interval: 5m
  repeat_interval: {{ alertmanager_repeat_interval }}
  receiver: 'dummy'
{% if alertmanager_ntfy_topic is defined and alertmanager_ntfy_topic %}
  routes:
  - receiver: alertmanager-ntfy
{% endif %}

receivers:
  - name: 'dummy'
    webhook_configs:
    - url: 'http://127.0.0.1:5001/'
{% if alertmanager_ntfy_topic is defined and alertmanager_ntfy_topic %}
  - name: alertmanager-ntfy
    webhook_configs:
    - url: "http://{{ alertmanager_ntfy_listen_addr }}/hook"
{% if alertmanager_ntfy_user is defined %}
      http_config:
        basic_auth:
          username: "{{ alertmanager_ntfy_user }}"
          password: "{{ alertmanager_ntfy_pass }}"
{% endif %}
{% endif %}

inhibit_rules:
  - source_match:
      severity: 'critical'
    target_match:
      severity: 'warning'
    equal: ['alertname', 'dev', 'instance']
